﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    public List<String> lst;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            lst = new List<string>();
            lst.Add("Item1");
            lst.Add("Item2");
            lst.Add("Item3");
            lst.Add("Item4");
            lst.Add("Item5");
        }

        WebDataGrid1.DataSource = GridDataSource();
        WebDataGrid1.DataBind();        

    }

    // data source
    private DataTable GridDataSource()
    {
        // DataSet ds = new DataSet();

        // Create a new DataTable.
        System.Data.DataTable table = new DataTable("Table");
        // Declare variables for DataColumn and DataRow objects.
        DataColumn column;
        DataRow row;

        // Create new DataColumn, set DataType, 
        // ColumnName and add to DataTable.    
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "ID";
        column.ReadOnly = false;
        // column.AutoIncrement = true;
        // Add the Column to the DataColumnCollection.
        table.Columns.Add(column);

        // Create second column.        
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "Data";
        column.AutoIncrement = false;
        column.Caption = "Data";
        column.ReadOnly = false;
        column.Unique = false;
        // Add the column to the table.
        table.Columns.Add(column);


        // Make the ID column the primary key column.
        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = table.Columns["ID"];
        table.PrimaryKey = PrimaryKeyColumns;


        for (int i = 0; i <= 6; i++)
        {
            row = table.NewRow();
            row["ID"] = i;           
            row["Data"] = (i * 2).ToString();
            table.Rows.Add(row);
        }

        // ds.Tables.Add(table);

        return table;
    }

    protected void WebDataGrid1_InitializeRow(object sender, Infragistics.Web.UI.GridControls.RowEventArgs e)
    {
        DropDownList ddl = (DropDownList)e.Row.Items[1].FindControl("DropDownList1");
        ddl.DataSource = lst;
        ddl.DataBind();
    }
}
